Page MenuHomePhabricator

Use Chroma subsampling for MediaWiki JpegHandler thumbs
Closed, ResolvedPublic

Description

Per T122242.

Details

Related Gerrit Patches:

Event Timeline

Krinkle created this task.Mar 7 2016, 8:10 PM
Restricted Application added projects: Multimedia, Commons. · View Herald TranscriptMar 7 2016, 8:10 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Jrtorres432 renamed this task from Use Chroma subsampling for MediaWiki JpegHandler thumbs to Use Chroma subsampling for MediaWiki jrtorres42.Mar 9 2016, 11:47 PM
Jrtorres432 removed brion as the assignee of this task.
Jrtorres432 removed projects: Commons, Multimedia.
Jrtorres432 edited subscribers, added: GitHub-Mirrors; removed: ori, brion, Gilles and 3 others.
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 9 2016, 11:47 PM
Krenair renamed this task from Use Chroma subsampling for MediaWiki jrtorres42 to Use Chroma subsampling for MediaWiki JpegHandler thumbs.Mar 9 2016, 11:49 PM
Krenair added a project: Commons.
Krenair edited subscribers, added: ori, brion, Gilles and 3 others; removed: GitHub-Mirrors.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptMar 9 2016, 11:49 PM
brion claimed this task.Mar 9 2016, 11:49 PM
ori added a comment.Apr 26 2016, 8:54 PM

@brion, is this still on your radar?

Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptApr 26 2016, 8:54 PM
brion added a comment.Apr 26 2016, 8:56 PM

Yeah lemme poke that later today.

ori awarded a token.Apr 26 2016, 8:57 PM

Change 285669 had a related patch set uploaded (by Brion VIBBER):
[WIP] Enable 4:2:0 chroma subsampling for JPEG thumbnails

https://gerrit.wikimedia.org/r/285669

brion added a comment.Apr 27 2016, 5:31 PM

Ok, patch is ready to review, test cases work and everything.

Change 285669 merged by jenkins-bot:
Enable 4:2:0 chroma subsampling for JPEG thumbnails

https://gerrit.wikimedia.org/r/285669

Jdforrester-WMF closed this task as Resolved.Apr 28 2016, 12:51 AM
Jdforrester-WMF removed a project: Patch-For-Review.

Has this been announced on Commons village pump or similar?

brion added a comment.May 2 2016, 11:30 AM

Don't know, but Commons would not be the only place affected; it would affect all our sites. And it won't affect any of our sites until VIPS is also updated, as I understand?

It will affect all our sites, VIPS is only used for large TIFFs and PNGs in production: https://github.com/wikimedia/operations-mediawiki-config/blob/132b133b6954ee5b2c186ddb088764f9cd3c5d3c/wmf-config/CommonSettings.php#L2470

I just brought up Commons because they have the community that tends to be the most sensitive to these changes.